### Method

# Ggit TransferProgress copy

#### Declaration [src]

    GgitTransferProgress*
    ggit_transfer_progress_copy (
      GgitTransferProgress* progress
    )

#### Description [src]

Copies `progress` into a newly allocated `GgitTransferProgress`.

#### Return value

Type: `GgitTransferProgress`

A newly allocated `GgitTransferProgress` or `NULL`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.